NetBSD PR pkg/44637

With Coda 6.9.5 the following patches are no longer needed and must be removed:

  net/coda/patches/patch-aa
  net/coda/patches/patch-ab

Index: net/coda/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/coda/Makefile,v
retrieving revision 1.9
diff -u -p -r1.9 Makefile
--- net/coda/Makefile	20 May 2009 00:58:25 -0000	1.9
+++ net/coda/Makefile	25 Feb 2011 22:28:58 -0000
@@ -1,8 +1,7 @@
 # $NetBSD: Makefile,v 1.9 2009/05/20 00:58:25 wiz Exp $
 #
 
-DISTNAME=	coda-6.9.2
-PKGREVISION=	3
+DISTNAME=	coda-6.9.5
 CATEGORIES=	net
 MASTER_SITES=	http://www.coda.cs.cmu.edu/pub/coda/src/
 
@@ -15,7 +14,7 @@ PKG_DESTDIR_SUPPORT=	user-destdir
 # See http://coda.wikidev.net/Quick_Client_Action for hints on how
 # to configure venus.
 
-USE_TOOLS+=	gmake perl perl:run
+USE_TOOLS+=	gmake pkg-config perl perl:run
 GNU_CONFIGURE=	yes
 USE_LANGUAGES=	c c++
 REPLACE_PERL=	coda-src/scripts/tape.pl coda-src/scripts/volmunge
@@ -25,5 +24,6 @@ REPLACE_PERL=	coda-src/scripts/tape.pl c
 .include "../../devel/rvm/buildlink3.mk"
 .include "../../devel/readline/buildlink3.mk"
 .include "../../mk/curses.buildlink3.mk"
+.include "../../lang/python/application.mk"
 
 .include "../../mk/bsd.pkg.mk"
Index: net/coda/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/net/coda/distinfo,v
retrieving revision 1.5
diff -u -p -r1.5 distinfo
--- net/coda/distinfo	2 Dec 2007 14:33:05 -0000	1.5
+++ net/coda/distinfo	25 Feb 2011 22:28:58 -0000
@@ -1,8 +1,7 @@
 $NetBSD: distinfo,v 1.5 2007/12/02 14:33:05 rillig Exp $
 
-SHA1 (coda-6.9.2.tar.gz) = 47e71299d04dbb9e03f9f5a7101933679b1cb316
-RMD160 (coda-6.9.2.tar.gz) = 4cdf2ad53333359d39793147daee865b22b38993
-Size (coda-6.9.2.tar.gz) = 1650937 bytes
-SHA1 (patch-aa) = f9cb4a72a4ff72020ba52382481811fe71931ab2
-SHA1 (patch-ab) = 07675cfb2eb7ebe40609338368ca7df813a7d5dd
-SHA1 (patch-ac) = ecbd62e4007a77b2e7734de918f70712f9fc9144
+SHA1 (coda-6.9.5.tar.gz) = 248af27c506f5c3be4c4e53f821c9c904580fe60
+RMD160 (coda-6.9.5.tar.gz) = 9ef0643aacc7d1352ef253af00d4c7e6ad9e1f78
+Size (coda-6.9.5.tar.gz) = 1723098 bytes
+SHA1 (patch-ac) = b9f9fd68c633e09717252562b06238b87df1a6b7
+SHA1 (patch-ad) = 464c8e435ccfd23d5dd68f94a87e18fa2899f335
Index: net/coda/patches/patch-ac
===================================================================
RCS file: /cvsroot/pkgsrc/net/coda/patches/patch-ac,v
retrieving revision 1.3
diff -u -p -r1.3 patch-ac
--- net/coda/patches/patch-ac	2 Dec 2007 14:33:06 -0000	1.3
+++ net/coda/patches/patch-ac	25 Feb 2011 22:28:58 -0000
@@ -3,9 +3,9 @@ $NetBSD: patch-ac,v 1.3 2007/12/02 14:33
 Added experimental code to support mounting on NetBSD >= 4.99.24. The
 magic value of 256 is taken from coda_vfsops in coda_vfsops.c.
 
---- coda-src/venus/worker.cc.orig	2007-08-01 18:32:29.000000000 +0000
-+++ coda-src/venus/worker.cc	2007-11-30 23:12:18.000000000 +0000
-@@ -367,11 +367,19 @@ void VFSMount()
+--- coda-src/venus/worker.cc.orig	2008-10-06 16:52:22.000000000 +0000
++++ coda-src/venus/worker.cc
+@@ -403,11 +403,19 @@ void VFSMount()
  	    error = nmount(md, 6, 0);
  	}
  #endif
@@ -13,9 +13,9 @@ magic value of 256 is taken from coda_vf
 +
 +#if defined(__NetBSD__) && defined(__NetBSD_Prereq__) && __NetBSD_Prereq__(4,99,24)
 +	if (error < 0)
-+	    error = mount("coda", venusRoot, 0, kernDevice, 256);
++	    error = mount("coda", venusRoot, 0, (void *)kernDevice, 256);
 +	if (error < 0)
-+	    error = mount("cfs", venusRoot, 0, kernDevice, 256);
++	    error = mount("cfs", venusRoot, 0, (void *)kernDevice, 256);
 +#else
  	if (error < 0)
  	    error = mount("coda", venusRoot, 0, kernDevice);
--- /dev/null	2011-02-25 22:49:42.000000000 +0100
+++ net/coda/patches/patch-ad	2011-02-25 21:08:35.000000000 +0100
@@ -0,0 +1,13 @@
+$NetBSD$
+
+--- configure.orig	2011-02-25 20:04:49.000000000 +0000
++++ configure
+@@ -18400,7 +18400,7 @@ $as_echo "#define HAVE_FLOCK_LOCKING 1" 
+ 
+ if test "$buildvcodacon" != no ; then
+   test -z "${FLUID}" && as_fn_error "\"Unable to find fltk-fluid\"" "$LINENO" 5
+-  test "$coda_cv_path_fltk" == none && as_fn_error "\"Unable to find libfltk\"" "$LINENO" 5
++  test "$coda_cv_path_fltk" = none && as_fn_error "\"Unable to find libfltk\"" "$LINENO" 5
+ fi
+  if test "$buildvcodacon" != no; then
+   BUILD_VCODACON_TRUE=
